Subject: Re: [PATCH 1/4] t1517: fixup for ua/t1517-short-help-tests

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jul 2025 08:35:20 -0700

Usman Akinyemi <[email-masked]> writes:

>> I expect this and other fixes to get squashed into the upstream branch, but I'm
>> including it here so it's easy to create a clean build.
>>
>
>>         difftool--helper | filter-branch | fsck-objects | get-tar-commit-id | \
>>         http-backend | http-fetch | http-push | init-db | instaweb.sh | \
>>         merge-octopus | merge-one-file | merge-resolve | mergetool | \
>> -       mktag | p4 | p4.py | pickaxe | quiltimport | remote-ftp | remote-ftps | \
>> -       remote-http | remote-https | replay | request-pull | send-email | \
>> +       mktag | p4 | p4.py | pickaxe | remote-ftp | remote-ftps | \
>> +       remote-http | remote-https | replay | send-email | \
> Thanks
>>         sh-i18n--envsubst | shell | show | stage | submodule | svn | \
>>         upload-archive--writer | upload-pack | web--browse | whatchanged)
>>                 expect_outcome=expect_failure ;;
>> @@ -125,7 +125,6 @@
>
>>
>>  test_expect_success 'update-server-info does not crash with -h' '
>>         test_expect_code 129 git update-server-info -h >usage &&
>> -       test_grep "[Uu]sage: git update-server-info " usage &&
>> +       test_grep "[Uu]sage: git update-server-info " usage
>>  '
> Looks good to me.
> Thanks.

So, can I ignore this step from the series and expect the fixes to
be already in your updated series we will see in the future?

Thanks.